Page MenuHomePhabricator

Hungarian labels for single edit tab menu options have been translated lengthily so don't display correctly
Closed, ResolvedPublic1 Story Points

Description


They're cut at the end.
Should affect MediaWiki:Visualeditor-preference-tabs-prefer-wt/hu,
ediaWiki:Visualeditor-preference-tabs-prefer-ve/hu, MediaWiki:Visualeditor-editingtabdialog-ok/hu (the third one in the pic is fine).
Screenshot is in Firefox, 100% zoom.

Event Timeline

Elitre created this task.Feb 19 2016, 12:37 PM
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptFeb 19 2016, 12:37 PM
Jdforrester-WMF renamed this task from Hungarian labels for single edit tab menu options are not displayed correctly to Hungarian labels for single edit tab menu options have been translated lengthily so don't display correctly.Feb 21 2016, 2:13 AM
Jdforrester-WMF set the point value for this task to 1.
Jdforrester-WMF added a subscriber: Tgr.

Yeah, this is a bit of a mess. @Tgr, could you re-consider the translations to be more compact? The purpose of these is to be short and very quickly understandable, not painstakingly correct. :-) As they are, as well as displaying wrongly they'll just be ignored by users.

For example, instead of … I'm guessing via Google Translate that it could say …

"Mindig a wikikód-szerkesztőfelület jelenjen meg""Add ide a wikikód szerkesztő"
"Mindig a vizuális szerkesztőfelület jelenjen meg, ha lehetséges""Add ide a vizuális szerkesztő"
"Mindkét szerkesztőre legyen link""Adj nekem két szerkesztő linkek"
"A legutóbb használt szerkesztőfelület használata""Add ide a legújabb szerkesztő"

What do you think? If necessary the text above the options could be expanded.

Thoughts?

Tgr added a comment.Feb 21 2016, 3:19 AM

These are pretty straightforward translations of the English text (apart from maybe "felület" ie. "interface" since editor in itself sounded strange) but let me try for something shorter:

  • visualeditor-editingtabdialog-body: A(z) {{SITENAME}} most már meg tudja jegyezni, melyik szerkesztési nézetet használod szívesebben. / SITENAME can now remember which editing view you prefer.
  • visualeditor-preference-tabs-prefer-wt: Mindig a wikikódot / Always the wikicode one
  • visualeditor-preference-tabs-prefer-ve: Mindig a vizuálisat / Always the visual one
  • visualeditor-preference-tabs-multi-tab: Mindkettőre legyen link / Link to both
  • visualeditor-editingtabdialog-ok: Amit legutóbb / Same as last time

Should I go with that?

These are pretty straightforward translations of the English text (apart from maybe "felület" ie. "interface" since editor in itself sounded strange) but let me try for something shorter:

  • visualeditor-editingtabdialog-body: A(z) {{SITENAME}} most már meg tudja jegyezni, melyik szerkesztési nézetet használod szívesebben. / SITENAME can now remember which editing view you prefer.
  • visualeditor-preference-tabs-prefer-wt: Mindig a wikikódot / Always the wikicode one
  • visualeditor-preference-tabs-prefer-ve: Mindig a vizuálisat / Always the visual one
  • visualeditor-preference-tabs-multi-tab: Mindkettőre legyen link / Link to both
  • visualeditor-editingtabdialog-ok: Amit legutóbb / Same as last time

Should I go with that?

That'd be great, yes. Thank you!

Tgr closed this task as Resolved.Feb 21 2016, 3:24 AM

Updated.

Tgr reopened this task as Open.Mar 3 2016, 9:03 PM

This made the prefs page a bit awkward as the options need to be in a different grammatical case there (which is not easily changed since the text preceding the dropdown needs to be very short).

Would it be problematic to split the prefs page options to separate keys?

Elitre added a comment.Mar 3 2016, 9:30 PM

I think they are already, or at least they used to be:
Sherry made this list for me:

*These messages are only used in the editing dialog
box:https://translatewiki.net/wiki/MediaWiki:Visualeditor-editingtabdialog-title/en
1Zhttps://translatewiki.net/wiki/MediaWiki:Visualeditor-editingtabdialog-body/en
2Zhttps://translatewiki.net/wiki/MediaWiki:Visualeditor-editingtabdialog-ok/en
https://translatewiki.net/wiki/MediaWiki:Visualeditor-editingtabdialog-ok/enThese
are only in
Special:Preferences:https://translatewiki.net/wiki/MediaWiki:Visualeditor-preference-tabs/en
4Zhttps://translatewiki.net/wiki/MediaWiki:Visualeditor-preference-tabs-remember-last/en
https://translatewiki.net/wiki/MediaWiki:Visualeditor-preference-tabs-remember-last/enThese
are present in
both:https://translatewiki.net/wiki/MediaWiki:Visualeditor-preference-tabs-prefer-wt/en
6Zhttps://translatewiki.net/wiki/MediaWiki:Visualeditor-preference-tabs-prefer-ve/en
7Zhttps://translatewiki.net/wiki/MediaWiki:Visualeditor-preference-tabs-multi-tab/en
https://translatewiki.net/wiki/MediaWiki:Visualeditor-preference-tabs-multi-tab/en*

Tgr added a comment.Mar 3 2016, 9:52 PM

Yeah, I am talking about the ones that are present in both places (also includes remember-last).

Stryn added a subscriber: Stryn.Mar 20 2016, 8:25 PM

The same for the Finnish translations:

I can also simplify the translations, but couldn't it be better just to make the fix directly to css files?

T130021 is about the same issue. There's a CSS workaround there: T130021#2122875.

Jdforrester-WMF closed this task as Resolved.May 10 2016, 7:29 PM

Follow-up to T130021 please.